Skip site navigation (1) Skip section navigation (2)

Re: pgadmin3 1.6.1 build error on FC6

From: Dave Page <dpage(at)postgresql(dot)org>
To: Devrim GUNDUZ <devrim(at)CommandPrompt(dot)com>
Cc: "pgadmin-hackers(at)postgresql(dot)org" <pgadmin-hackers(at)postgresql(dot)org>
Subject: Re: pgadmin3 1.6.1 build error on FC6
Date: 2006-12-27 09:05:01
Message-ID: 4592373D.3090506@postgresql.org (view raw or flat)
Thread:
Lists: pgadmin-hackers
Devrim GUNDUZ wrote:
> Hi again,
> 
> On Wed, 2006-12-20 at 23:52 +0200, Devrim GUNDUZ wrote:
>>> In frmEditGrid.cpp, change
>>>
>>> EVT_AUI_PANEBUTTON
>>>
>>> to
>>>
>>> EVT_AUI_PANE_BUTTON
>> Thanks for the quick reply :) I'll apply this tomorrow morning. But
>> since I'm trying to build RPM set, I will add this as a temp patch to
>> spec file. 
> 
> I applied this small patch:
> 
> http://developer.postgresql.org/~devrim/rpms/other/pgadmin3/pgadmin3-1.6.1-frm.patch

Yup, that looks perfectly fine.

> However, I still get an error:
> 
> make[4]: Entering directory
> `/usr/src/redhat/BUILD/pgadmin3-1.6.1/xtra/pgagent'
> g++ -DDATA_DIR=\"/usr/share/pgadmin3/\" -Wall -Wno-non-virtual-dtor
> -I./include   -L/usr/lib -L/usr/lib -o pgagent  connection.o job.o
> misc.o pgAgent.o unix.o -pthread   -lwx_baseu-2.8  -L/usr/lib -lpq
> connection.o: In function `wxTransform2D::Transform(wxRect2DInt*)
> const':
> connection.cpp:(.gnu.linkonce.t._ZNK13wxTransform2D9TransformEP11wxRect2DInt+0x93): undefined reference to `wxRect2DInt::operator=(wxRect2DInt const&)'
> connection.o: In function `wxTransform2D::InverseTransform(wxRect2DInt*)
> const':
> connection.cpp:(.gnu.linkonce.t._ZNK13wxTransform2D16InverseTransformEP11wxRect2DInt+0x93): undefined reference to `wxRect2DInt::operator=(wxRect2DInt const&)'
> collect2: ld returned 1 exit status
> make[4]: *** [pgagent] Error 1
> 
> 
> Any idea on this one?

Wierd. pgAgent shouldn't have any reason to need those. Couple of things 
to check, are you definitely running a clean build? Secondly, Zdenek 
found that the Sun compiler needed -lwx_coreu-2.8 as well. GCC certainly 
doesn't on other platforms, but it might be worth trying in this case. 
If it does help, we'll need to patch the makefile.am's. Not sure how 
you'd do that in an RPM build as it'd involve re-bootstrapping. Might be 
easiest to just roll 1.6.2 sooner rather than later.

Regards, Dave.

In response to

Responses

pgadmin-hackers by date

Next:From: Devrim GUNDUZDate: 2006-12-27 09:35:46
Subject: Re: pgadmin3 1.6.1 build error on FC6
Previous:From: HARIDate: 2006-12-26 06:47:13
Subject: New member to PostgreSQL

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group